Debian Bug report logs - #188173
O: kernel-patch-int -- International patch for the Linux kernel

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 8 Apr 2003 11:33:18 UTC

Severity: normal

Done: Morgon Kanter <morgon@surgo.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Robert van der Meulen <rvdm@debian.org>
Subject: O: kernel-patch-int -- International patch for the Linux kernel
Date: Tue, 8 Apr 2003 21:24:32 +1000
Package: wnpp
Severity: normal

The current maintainer of kernel-patch-int, Robert van der Meulen
<rvdm@debian.org>, has orphaned this package.  If you want to be the
new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: kernel-patch-int
Binary: kernel-patch-int
Version: 2.8
Priority: extra
Section: non-US
Maintainer: Robert van der Meulen <rvdm@debian.org>
Architecture: all
Standards-Version: 3.0.1
Format: 1.0
Directory: pool/non-US/main/k/kernel-patch-int
Files: 4e80d0f0f1beb0952db5715851d797a0 527 kernel-patch-int_2.8.dsc
 67eaa26b41edcd71b4ccba647a254b70 195177 kernel-patch-int_2.8.tar.gz

Package: kernel-patch-int
Priority: extra
Section: non-US
Installed-Size: 225
Maintainer: Robert van der Meulen <rvdm@debian.org>
Architecture: all
Version: 2.8
Recommends: kernel-package (>= 6.22)
Suggests: kernel-source-2.2.15
Filename: pool/non-US/main/k/kernel-patch-int/kernel-patch-int_2.8_all.deb
Size: 196746
MD5sum: 091ab499b66d27a0f600049029e02517
Description: International patch for the Linux kernel
 This patch contains cryptographic capatibilities for the linux kernel,
 that can't be included in the official kernel source due to US-exports
 laws. It can be used with kernel version 2.2.15
 .
 This patch contains the DFSG-free parts of the "official" internatinal
 kernel patch available at www.kerneli.org except the CIPE patch which
 is packaged independent from this package.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frederic Schutz <schutz@mathgen.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 188173@bugs.debian.org (full text, mbox):

From: Frederic Schutz <schutz@mathgen.ch>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 188173@bugs.debian.org, Robert van der Meulen <rvdm@debian.org>, debian-qa@lists.debian.org, ivo@debian.org
Subject: Bug 188173: should kernel-patch-int be removed ?
Date: Fri, 11 Apr 2003 15:04:09 +1000
Hi,

it seems to me that the package kernel-patch-int should not only be
orphaned but also be removed entirely from the archive (sarge/sid).

The package is outdated and does not work on either woody or sarge/sid, and
since it is not supported by upstream anymore, this won't change in the
future.

Last but not least, it has been superseded by cryptoapi-core-source
(maintainer cc'ed if he has something to add) which implements the
currently accepted way of providing cryptographical functions in the
linux-kernel.

Any objection ? Should I wait or file a bug for removal ?

Frédéric



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to ivo@o2w.nl:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 188173@bugs.debian.org (full text, mbox):

From: Ivo Timmermans <ivo@o2w.nl>
To: Frederic Schutz <schutz@mathgen.ch>
Cc: Martin Michlmayr <tbm@cyrius.com>, 188173@bugs.debian.org, Robert van der Meulen <rvdm@debian.org>, debian-qa@lists.debian.org
Subject: Re: Bug 188173: should kernel-patch-int be removed ?
Date: Fri, 11 Apr 2003 11:28:59 +0200
Frederic Schutz wrote:
> Last but not least, it has been superseded by cryptoapi-core-source
> (maintainer cc'ed if he has something to add) which implements the
> currently accepted way of providing cryptographical functions in the
> linux-kernel.

cryptoapi-core-source does not supersede kernel-patch-int, see bug
#169038.  For people who use 2.2 kernels, kernel-patch-int will still
be useful.


	Ivo

-- 
Hey, it compiles!  Ship it!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#188173; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to schutz@mathgen.ch:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 188173@bugs.debian.org (full text, mbox):

From: Frederic Schutz <fschutz@mathgen.ch>
To: ivo@o2w.nl
Cc: Frederic Schutz <schutz@mathgen.ch>, Martin Michlmayr <tbm@cyrius.com>, 188173@bugs.debian.org, Robert van der Meulen <rvdm@debian.org>, debian-qa@lists.debian.org
Subject: Re: Bug 188173: should kernel-patch-int be removed ?
Date: Sat, 12 Apr 2003 01:40:29 +0200
Quoting Ivo Timmermans <ivo@o2w.nl>:

> cryptoapi-core-source does not supersede kernel-patch-int, see bug
> #169038.  For people who use 2.2 kernels, kernel-patch-int will still
> be useful.

... but kernel-patch-int doesn't seem to work with woody anyway (see
#80957), neither does Sarge.

Does Sarge still support kernel 2.2 ?

Frederic



Reply sent to Morgon Kanter <morgon@surgo.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 188173-done@bugs.debian.org (full text, mbox):

From: Morgon Kanter <morgon@surgo.net>
To: 188173-done@bugs.debian.org,158152-done@bugs.debian.org,188172-done@bugs.debian.org
Subject: kernel-patch-int no longer in the archive
Date: Thu, 7 Aug 2003 22:52:32 -0400
kernel-patch-int, kernel-patch-2.2.18-openwall, and 
kernel-image-2.2.20-udma100-ext3-i386 even in the archive anymore 
(198449), so the O: bugs against them should be closed.

Morgon
-- 
"Man is the only creature capable of hating itself" -- Governor of Japan 
in The End of Evangelion



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:01:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.